# Contribution Guidelines

Please note that this project is released with a [Contributor Code of Conduct](code-of-conduct.md). By participating in this project you agree to abide by its terms.

---

## App to be submitted

Thank you for your suggestions!

Note, however, that not everything will be considered. The aim of the list is to provide a concise set of awesome Bash scripts and resources. This means that suggestions should, where applicable:

- Use or refer to Bash directly (i.e. there are more appropriate Awesome Lists tracking general CLI tools).
- Do one thing and do it well.
- Have a free and open source license.
- Be easy to install.
- Be well documented.
- Have a decently active community and engaged ownership.

## Pull Request Style

#### Ground Rules

- No duplicates.
- Individual pull request for each suggestion.
- For source code repositories:
  - The repository is older than 90 days.
  - The repository has more than 50 stars.
- For non-source resource lins:
  - Include links to positive discussions indicating this resource has a strong, positive community backing, e.g. a [Reddit](https://reddit.com/), [Hacker News](https://news.ycombinator.com/), [Lobster](https://lobste.rs/), or similiar post.

#### Formatting & Style

- The pull request shall be titled: `Add ITEM_NAME`.
- The item is added at the bottom of the relevant category.
- Use the following format: `[ITEM_NAME](LINK) - DESCRIPTION.`
  - Description starts with a capital and ends with a full stop (period).
    - Try to keep it short and concise.
  - No trailing whitespace.
  - Check your spelling and grammar.

### Other Pull Requests

Pull requests that introduce new categories or improve the readme are always welcome! In that case feel free to disregard the given structure above.

### Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the maintainers notice anything that we'd like changed, we'll ask you to edit your PR before we merge it. There's no need to open a new PR, just edit the existing one. If you're not sure how to do that, [here is a guide](https://github.com/RichardLitt/knowledge/blob/master/github/amending-a-commit-guide.md) on the different ways you can update your PR so that we can merge it.
